Bug 948749 - [Intel F17 BUG] IMSM metadata contains no information about the resync process ongoing during expanding the size of RAID1 or RAID5 volume
Summary: [Intel F17 BUG] IMSM metadata contains no information about the resync proces...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mdadm
Version: 17
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jes Sorensen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 903212
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-05 10:01 UTC by Lukasz Dorau
Modified: 2013-07-05 02:08 UTC (History)
6 users (show)

Fixed In Version: mdadm-3.2.6-19.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of: 948745
Environment:
Last Closed: 2013-07-05 02:08:32 UTC


Attachments (Terms of Use)

Description Lukasz Dorau 2013-04-05 10:01:36 UTC
+++ This bug was initially created as a clone of Bug #948745 +++
+++ This bug was initially created as a clone of Bug #903212 +++

Description of problem:
During expanding the size of RAID1 or RAID5 volume the resync process is reported in /proc/mdstat but there is no information about it in the volume’s metadata. Therefore if the RAID volume was stopped during the process of size expansion all information about this progress would be lost, because no checkpoint is saved in the metadata.

Version-Release number of selected component (if applicable):
mdadm-3.2.6-8.fc17

How reproducible:
Always

Steps to Reproduce:
1. Create RAID1 or RAID5 volume of size less than maximum and wait for its normal state, e.g.:
# mdadm -C /dev/md/imsm -amd -e imsm -n 3 /dev/sda /dev/sdb /dev/sdc
# mdadm -C /dev/md/volume -l5 --size 10G -n 3 /dev/sda /dev/sdb /dev/sdc

2. Expand the size of a RAID volume providing new size, e.g.:
# mdadm -G /dev/md/volume --size max

3. Check metadata during rebuild process:
# mdadm -E /dev/md/imsm
  
Actual results:
Metadata contains no information about the resync process ongoing during expanding the size of RAID1 or RAID5 volume. No checkpoint is saved. Metadata shows normal state of the volume.

Expected results:
Metadata contains information about the resync process ongoing during expanding the size of RAID1 or RAID5 volume. Checkpoint is saved.

Comment 1 Lukasz Dorau 2013-04-05 10:02:04 UTC
Patch for this bug has been sent to linux-raid:
[PATCH] Add updating component_size to manager thread of mdmon
http://marc.info/?l=linux-raid&m=136499303231750&w=4

Comment 2 Fedora Update System 2013-04-23 16:48:16 UTC
mdadm-3.2.6-18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-18.fc17

Comment 3 Fedora Update System 2013-04-24 01:27:49 UTC
Package mdadm-3.2.6-18.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.6-18.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6407/mdadm-3.2.6-18.fc17
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-24 14:05:35 UTC
mdadm-3.2.6-19.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-19.fc17

Comment 5 Fedora End Of Life 2013-07-04 07:43:33 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora Update System 2013-07-05 02:08:32 UTC
mdadm-3.2.6-19.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.